%bcond_with dotests

%global __tar /opt/freeware/bin/tar

%global py_major 3.9

%global py_minor 15

%global python_major python%{py_major}

%global pkgname jaraco.collections 

%global meta_package python3-%{pkgname}

%global python3_sitearch %(%{python_major} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(0))")

Name:           %{python_major}-%{pkgname}
Version:        3.0.0 
Release:        2 
Summary:        Models and classes to supplement the stdlib collections module.  
License:        MIT
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0:        https://files.pythonhosted.org/packages/source/j/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{python_major}-devel >= %{py_major}
BuildRequires:  %{python_major}-setuptools >= 65.2.0
Requires:       %{python_major} >= %{py_major}.%{py_minor}
Requires:       %{python_major}-jaraco.classes >= 3.1.0
Requires:       %{python_major}-jaraco.text >= 3.2.0
Requires:       %{python_major}-six >= 1.13.0

%description
A dictionary-like object that maps a range of values to a given value.

%package -n %{meta_package}
Summary:       Meta-package for %{name}

Requires:      python3 >= %{py_major}.%{py_minor}
Requires:      %{name} = %{version}-%{release}

%description -n %{meta_package}
This is a Meta-package for %{name} package.


%prep
%autosetup -n %{pkgname}-%{version}


%build
export PATH=/opt/freeware/bin:$PATH
%{python_major} setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{python_major} setup.py install --root %{buildroot}


%check
%if %{with dotests}

#python3 -m venv python_venv
#. ./python_venv/bin/activate
#pip3 install pytest
#pip3 install hypothesis
#ulimit -d unlimited
#ulimit -n unlimited
#ulimit -m unlimited
# ulimit -f unlimited
#( python runtests.py -m 'full' -v || true )
#deactivate

%endif


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README.rst LICENSE
%{python3_sitearch}/*
%exclude %dir %{python3_sitearch}/jaraco
%exclude %dir %{python3_sitearch}/jaraco/__pycache__
%exclude %{python3_sitearch}/jaraco/__init__*
%exclude %{python3_sitearch}/jaraco/__pycache__/__init__*

%files -n %{meta_package}
%defattr(-,root,system,-)

%changelog
* Thu Dec 29 2022 Aditya Kamath <Aditya.Kamath1@ibm.com> - 3.0.0-2
- jaraco.classes for python3.9
